package com.emato.ccnet.wx.task;

import com.emato.ccnet.wx.biz.req.order.csp.Ceb311OrderBiz;
import com.emato.ccnet.wx.biz.req.play.wx.WxplayBiz;
import com.emato.ccnet.wx.biz.req.waybill.oms.Ceb511OmsWayBiz;
import com.emato.ccnet.wx.biz.req.wxorder.order.WxOrderGrabBiz;
import com.emato.ccnet.wx.biz.req.wxorder.ordergoods.WxOrderGoodsGrabBiz;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author duanqu
 * @version 1.0
 * 2018-05-14 15:30
 */
@Component
public class TokenTask {

    private static final Logger log = LoggerFactory.getLogger(TokenTask.class);

    @Autowired
    private Ceb311OrderBiz ceb311OrderBiz;
    @Autowired
    private Ceb511OmsWayBiz ceb511OmsWayBiz;
    @Autowired
    private WxplayBiz wxplayBiz;

    @Autowired
    private WxOrderGrabBiz wxOrderGrabBiz;
    @Autowired
    private WxOrderGoodsGrabBiz wxOrderGoodsGrabBiz;

    @Scheduled(fixedDelay = 10000)
    public void ccnetrderTask(){
        log.info("-------------- 推单开始 --------------");
        // 电子订单
        ceb311OrderBiz.biz();
        // 运单
        ceb511OmsWayBiz.biz();
        //微信推单
        wxplayBiz.biz();
        log.info("-------------- 推单结束 --------------");
    }

    @Scheduled(fixedDelay = 10000)
    public void wxOrderGrabTask(){
        log.info("-------------- 抓取 kmall 订单数据开始 --------------");
        //抓取订单数据
        wxOrderGrabBiz.biz();

        //抓取订单详情数据
        wxOrderGoodsGrabBiz.biz();
        log.info("-------------- 抓取 kmall 订单数据结束 --------------");
    }

}
